Free Software Foundation!

Join now


From Free Software Directory
Revision as of 19:29, 9 July 2012 by Ezephir (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation,

Math program from the GNOME project. You can extend Gnumeric with GPL extensions through a plug-in system, and define complex functions in Perl, Python, and Guile through optional plug-ins. There's also a generic shared-lib-based plug in system. The program can be scripted via its CORBA interfaces. Gnumeric is compatible with most other spreadsheet programs: it will load and save Excel files, and ships with many file import/export filters, including HTML, Oleo, CVS, Lotus 1-2-3, Plan Perfect, Quattro Pro, Sylk, and xBase. New features added in the latest version include merged cell support, a revised plugin loader and a search & replace function.


User manual available in HTML format from

Heckert gnu.small.png This is a GNU package


Download version 1.10.17 (stable)
released on 31 July 2012


Related Projects


LicenseVerified byVerified onNotes
GPLv2orlaterJanet Casey31 January 2001

Leaders and contributors

Tom Dyas Contributor
Bruno Unna Contributor
Morten Welinder Contributor
Jon K. Hellan Contributor
Vincent Renardias Contributor
Chris Lahey Contributor
Rasca Contributor
Jody Goldberg Maintainer
Jukka-Pekka Iivonen Contributor
Vladimir Vuksan Contributor
Daniel Veillard Contributor
Ross Ihaka Contributor
Adrian Likins Contributor
Kenneth Christiansen Contributor
Zbigniew Chyla Contributor
Federico Mena Quintero Contributor
Sean Atkinson Contributor
Almer S. Tigelaar Contributor
Mark Probst Contributor
Gergo Erdi Contributor
Takashi Matsuda Contributor
Ariel Rios Contributor
Michael Meeks Contributor
Jakub Jelinek Contributor

Resources and communication

Audience Resource type URI
Developer VCS Repository Webview
Developer,Help,Support E-mail
Bug Tracking E-mail

Software prerequisites

Kind Description
Required to build imlib) and gnome-xml v. 1.8.10 or later)
Weak prerequisite CVS guppi3 (graph support)
Weak prerequisite gnome-print (0.25)
Required to build gnome-libs (which needs glib
Weak prerequisite GAL 0.2.2
Required to build gtk+
Required to build libglade (0.13)

This entry (in part or in whole) was last reviewed on 24 October 2005.


Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the page “GNU Free Documentation License”.

The copyright and license notices on this page only apply to the text on this page. Any software or copyright-licenses or other similar notices described in this text has its own copyright notice and license, which can usually be found in the distribution or license text itself.

Personal tools